<div>
  <p class="data">{{data}}</p>
</div>

<div class="segundoContainer">
  <div class="segundoInterior">
    <p class="hora" *ngIf="pontos; else zerado">{{pontos[pontos.length - 1].horario}}</p>
    <ng-template #zerado>
      <p class="hora">00:00</p>
    </ng-template>
  </div>

  <div class="terceiroContainer">
    <p class="ponto" *ngIf="pontos; else inicial">{{pontos[pontos.length - 1].tipo}}</p>
    <ng-template #inicial>
      <p class="ponto">Início</p>
    </ng-template>
  </div>


  <div class="quartoContainer">
    <mat-form-field class="observacoes" [ngClass]="{'observacoes2': pontos && pontos.length > 3}"
      hintLabel=" Caso necessário, inclua uma observação." appearance="outline">
      <mat-label>Observações</mat-label>
      <input matInput #input maxlength="60" placeholder="Observações" [formControl]="observacoes">
      <mat-hint align="end">{{input.value?.length || 0}}/60</mat-hint>
    </mat-form-field>
  </div>

  <div class="quintoContainer">
    <div *ngIf="pontos; else inicio">
      <div [ngSwitch]="pontos[pontos.length - 1].tipo">
        <button mat-flat-button *ngSwitchCase="'Entrada'" class="botao botao-marca-ponto"
          (click)="registrarHoraDeAlmoco(input.value)">almoço</button>
        <button mat-flat-button *ngSwitchCase="'Almoço'" class="botao botao-marca-ponto"
          (click)="registrarHoraDeRetorno(input.value)">retorno</button>
        <button mat-flat-button *ngSwitchCase="'Retorno'" class="botao botao-marca-ponto"
          (click)="registrarHoraDeSaida(input.value)">saída</button>
        <button mat-flat-button *ngSwitchCase="'Saída'" class="botao-fim" disabled>fim do expediente</button>
      </div>
    </div>
    <ng-template #inicio>
      <button mat-flat-button class="botao botao-marca-ponto"
        (click)="registrarHoraDeEntrada(input.value)">entrada</button>
    </ng-template>
  </div>
</div>
